/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package rs.telenor.kolekcija;

import java.util.LinkedList;
import java.util.List;
import rs.telenor.model.City;

/**
 *
 * @author Korisnik
 */
public class Kolekcija {
    
    private static Kolekcija instance;
    private List<City> list;
    
    private Kolekcija() {
        this.list = new LinkedList<>();
    }
    
    public static Kolekcija getInstance() {
        if (instance == null) {
            instance = new Kolekcija();
        }
        return instance;
    }
    
    public void save(City city) {
        this.list.add(city);
    }
    
    public List<City> findAll() {
        return list;
    }
    
    public City find(Long ptt) {
        for (City c : list) {
            if (c.getPtt() == ptt) {
                return c;
            }
        }
        return null;
    }
    
    public City update(City c) {
        for (City city : list) {
            if (city.getPtt() == c.getPtt()) {
                city.setNaziv(c.getNaziv());
                return city;
            }
        }
        return null;
    }
    
}
